/// The [Menu] class, as well as various subclasses..
///
/// ## Description
///
/// Menus are an important part of any game, and in addition to providing the
/// [Menu] class for you to build your own menus from scratch, Ziggurat also
/// provides various subclasses which aim to provide common - and not
/// particularly creative - functionality.
library menus;

import 'src/menu/menu.dart';

export 'src/menu/asset_reference_menu.dart';
export 'src/menu/file_picker_menu.dart';
export 'src/menu/menu.dart';
export 'src/menu/menu_item.dart';
export 'src/menu/parameter_menu.dart';
export 'src/menu/simple_menu_item.dart';
export 'src/menu/uniform_menu/uniform_menu.dart';
export 'src/menu/uniform_menu/uniform_menu_item.dart';
export 'src/menu/widgets/button.dart';
export 'src/menu/widgets/dynamic_widget.dart';
export 'src/menu/widgets/label.dart';
export 'src/menu/widgets/widgets_base.dart';
